{ ... }:
let
  forEachSystem =
    inputs.nixpkgs.lib.genAttrs [ "aarch64-linux" "x86_64-linux" ];
in forEachSystem (system:
  let
    overlays = import ./pkgs/overlay.nix { inherit pkgs; };
    overrides = { custom = import ./pkgs { inherit pkgs; }; };
    pkgs = import inputs.nixpkgs { inherit system overlays; } // overrides;
  in {
    default = import ./shells/devsh { inherit pkgs; };
    devsh = import ./shells/devsh { inherit pkgs; };
  })
